%h3.page-title
  = "#{t('merge_request_section.merge_request')} ##{@merge_request.iid}"

  %span.pull-right.issue-btn-group
    - if can?(current_user, :modify_merge_request, @merge_request)
      - if @merge_request.open?
        .btn-group.pull-left
          %a.btn.btn-grouped.dropdown-toggle{ data: {toggle: :dropdown} }
            %i.icon-download-alt
            = t('merge_request_section.download')
            %span.caret
          %ul.dropdown-menu
            %li= link_to t('merge_request_section.e_patches'), project_merge_request_path(@project, @merge_request, format: :patch)
            %li= link_to t('merge_request_section.plain_diff'),    project_merge_request_path(@project, @merge_request, format: :diff)

        = link_to t('merge_request_section.close'), project_merge_request_path(@project, @merge_request, merge_request: { state_event: :close }), method: :put, class: "btn btn-grouped btn-close", title: t('merge_request_section.close_title')

        = link_to edit_project_merge_request_path(@project, @merge_request), class: "btn btn-grouped", id:"edit_merge_request" do
          %i.icon-edit
          = t('merge_request_section.edit')
      - if @merge_request.closed?
        = link_to "#{t('merge_request_section.reopen')}", project_merge_request_path(@project, @merge_request, merge_request: {state_event: :reopen }), method: :put, class: "btn btn-grouped btn-reopen reopen-mr-link", title: t('merge_request_section.reopen_title')

.votes-holder.hidden-sm.hidden-xs
  #votes= render 'votes/votes_block', votable: @merge_request

.back-link
  = link_to project_merge_requests_path(@project) do
    &larr;
    = t('merge_request_section.to_requests')

  %span.prepend-left-20.monospace
    -if @merge_request.for_fork?
      %span
        %strong
          #{truncate(@merge_request.source_project_path, length: 25)}:
        #{@merge_request.source_branch}
      &rarr;
      %span= @merge_request.target_branch
    - else
      %span= @merge_request.source_branch
      &rarr;
      %span= @merge_request.target_branch
